//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("LFan2Text.res");
USEFORM("LF2_Main.cpp", myForm);
USEUNIT("Globals.cpp");
USEUNIT("DOS5x5.cpp");
USEUNIT("Menu.CPP");
USEFORM("TextEdit.cpp", TxtForm);
USEFORM("HexData.cpp", HexForm);
USEFORM("KanaString.cpp", KanaForm);
USEFORM("ListBlock.cpp", cmForm);
USEFORM("InsertList.cpp", InsertForm);
USEFORM("KanaView.cpp", viewKana);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
    Application->Initialize();
    Application->Title = "Light Fantasy 2 Script Editor";
    Application->CreateForm(__classid(TmyForm), &myForm);
   Application->CreateForm(__classid(TTxtForm), &TxtForm);
   Application->CreateForm(__classid(THexForm), &HexForm);
   Application->CreateForm(__classid(TKanaForm), &KanaForm);
   Application->CreateForm(__classid(TcmForm), &cmForm);
   Application->CreateForm(__classid(TInsertForm), &InsertForm);
   Application->CreateForm(__classid(TviewKana), &viewKana);
   Application->Run();
  }
  catch (Exception &exception)
  {
    Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
